Page MenuHomePhabricator

Change the local name for gom all over Wikipedia and Wikimedia to गोंयची कोंकणी / Gõychi Konknni
Closed, ResolvedPublic

Description

All over Wikipedia and Wikimedia , Goan Konkani (ISO code gom) is called "गोवा कोंकणी / Gova Konknni", which is incorrect. The community discussion resolved that the local name should preferably be कोंकणी / Konknni . The task created for this purpose is stalled because of reservations of some users that the name कोंकणी / Konknni is too general.

Currently, Wikipedia is using a local name that doesn't make sense in the language. I think this merits fixing quickly, and hence, atleast as an interim measure, please change the name as follows:

  • gom-deva: गोंयची कोंकणी
  • gom-latn: Gõychi Konknni
  • gom: गोंयची कोंकणी / Gõychi Konknni

This would be without prejudice to the old task in case we have consensus in the future.

You may see the note I've posted on the community page.

Details

Related Gerrit Patches:
analytics/wikipagestats : masterAmend name for Goan Konkani
apps/android/wikipedia : masterUpdate: languages supported & namespace translation for Goan Konkani
mediawiki/services/mobileapps : masterAmend name for Goan Konkani
mediawiki/extensions/Widgets : masterAmend name for Goan Konkani
mediawiki/core : masterAmend name for Goan Konkani

Event Timeline

The_Discoverer assigned this task to TTO.
The_Discoverer raised the priority of this task from to High.
The_Discoverer updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2016, 7:20 AM

Unless I'm mistaken, as with the other task, this still lacks a source for the new proposed name as well as confirmation that the name correction was sent upstream.

TTO added a comment.Feb 7 2016, 10:06 AM

@Nemo_bis: What kind of source should the gom community provide to satisfy your request? And why does it need to be sent "upstream" (I'm assuming you mean to CLDR)?

  • Reference: Ethnologue calls gom as 'Konkani, Goan'
  • "Goan Konkani" has been translated into Goan Konkani by the community as गोंयची कोंकणी / Gõychi Konknni (even though they always locally call their language कोंकणी / Konknni and would have preferred this name)
  • The current name "गोवा कोंकणी / Gova Konknni" is incorrect and nonsense and if these same questions:

this lacks a source for the new proposed name as well as confirmation that the name was sent upstream

had been asked for the name "गोवा कोंकणी / Gova Konknni", then we wouldn't be in this situation today.

The incorrect name "गोवा कोंकणी / Gova Konknni" was accepted without any questions, and when we are trying to correct the situation, we are met with repeated obstacles.

TTO added a comment.Feb 9 2016, 6:13 AM

Indeed, let's just get this over and done with.

Change 230503 had a related patch set uploaded (by TTO):
Amend name for Goan Konkani

https://gerrit.wikimedia.org/r/230503

Change 230503 merged by jenkins-bot:
Amend name for Goan Konkani

https://gerrit.wikimedia.org/r/230503

TTO added a comment.Feb 9 2016, 7:53 AM

Will appear on-wiki later in the week.

I'm leaving this open in case Nemo would like to use it to track the upstreaming issue that he mentioned.

TTO changed the task status from Open to Stalled.Feb 12 2016, 11:05 AM

I'm leaving this open in case Nemo would like to use it to track the upstreaming issue that he mentioned.

I don't have an opinion on the matter.

TTO closed this task as Resolved.Feb 14 2016, 10:56 AM

Change 335028 had a related patch set uploaded (by Gerrit Patch Uploader):
Amend name for Goan Konkani

https://gerrit.wikimedia.org/r/335028

Change 335030 had a related patch set uploaded (by Gerrit Patch Uploader):
Amend name for Goan Konkani

https://gerrit.wikimedia.org/r/335030

Change 335032 had a related patch set uploaded (by Gerrit Patch Uploader):
Amend name for Goan Konkani

https://gerrit.wikimedia.org/r/335032

Change 335036 had a related patch set uploaded (by Gerrit Patch Uploader):
Amend name for Goan Konkani

https://gerrit.wikimedia.org/r/335036

The_Discoverer reopened this task as Open.Jan 30 2017, 3:08 PM

@TTO, I found 4 files that still contained the old names and created patches for them that need to be reviewed and merged

Change 335028 merged by jenkins-bot:
Amend name for Goan Konkani

https://gerrit.wikimedia.org/r/335028

Change 335032 merged by jenkins-bot:
Amend name for Goan Konkani

https://gerrit.wikimedia.org/r/335032

Change 335036 merged by jenkins-bot:
Update: languages supported & namespace translation for Goan Konkani

https://gerrit.wikimedia.org/r/335036

Progress report
3 out of the 4 patches have been merged.
The only remaining patch is https://gerrit.wikimedia.org/r/335030
Does anyone have any information regarding this file?

Does anyone have any information regarding this file?

No, but i just clone that with git clone https://gerrit.wikimedia.org/r/p/analytics/wikipagestats and then cd wikipagestats/ ; git log | grep Author | sort | uniq

Author: Anders Eriksson <aeri3@kth.se>
Author: Christian Aistleitner <christian@quelltextlich.at>
Author: Emil Gedda <emil.gedda@emilgedda.se>
Author: lur <lur@lur.h1x.com>
Author: Mikael Forsberg <lur@c720>
Author: Skeletor <skeletor@gunning.se>

@Egedda

@miforsb_

@ErikssonAnders

Change 335030 merged by Gedda:
Amend name for Goan Konkani

https://gerrit.wikimedia.org/r/335030

The_Discoverer closed this task as Resolved.Feb 7 2017, 6:11 PM

Thanks to all of you for your help. :)